package com.scpyun.platform.jilinsscgsdp.utils;

import java.util.Map;
/**
 *
 * @Title:  Statistics
 * @Package Statistics.java
 * @Description: copy By scp-grid
 * @author:  guojiucoder
 * @date:   2024/7/31 14:24
 * @version V1.0.0
 *
 */
public enum Statistics {
	
	// 查询各个等级人数
	peopleNum {
	        @Override
	        public Map<String, String> getStatistics(String id) {
	        	DisposeRedisStatisticsUtil a=new DisposeRedisStatisticsUtil();
	            return a.getRedisInfo("peopleNum",id);
	        }
	    },
	
	// 查询全部重点人群人数
	tsNumAll {
			@Override
			public Map<String, String> getStatistics(String id) {
	        	DisposeRedisStatisticsUtil a=new DisposeRedisStatisticsUtil();
	            return a.getRedisInfo("tsNum.all",id);
	        }
	    },
	// 查询残疾人
	tsNumcjr{
	    	@Override
			public Map<String, String> getStatistics(String id) {
	        	DisposeRedisStatisticsUtil a=new DisposeRedisStatisticsUtil();
	            return a.getRedisInfo("tsNum.cjr",id);
	        }
	},
	// 查询低保和低保边缘户
	tsNumdb{
	    	@Override
			public Map<String, String> getStatistics(String id) {
	        	DisposeRedisStatisticsUtil a=new DisposeRedisStatisticsUtil();
	            return a.getRedisInfo("tsNum.db",id);
	        }
	},
	// 查询独居或空巢老人
	tsNumdj{
			@Override
			public Map<String, String> getStatistics(String id) {
		    	DisposeRedisStatisticsUtil a=new DisposeRedisStatisticsUtil();
		        return a.getRedisInfo("tsNum.dj",id);
		    }
	},
	// 查询精神残障人士
	tsNumjscz{
			@Override
			public Map<String, String> getStatistics(String id) {
		    	DisposeRedisStatisticsUtil a=new DisposeRedisStatisticsUtil();
		        return a.getRedisInfo("tsNum.jscz",id);
		    }
	},
	// 查询上访人员
	tsNumsf{
			@Override
			public Map<String, String> getStatistics(String id) {
		    	DisposeRedisStatisticsUtil a=new DisposeRedisStatisticsUtil();
		        return a.getRedisInfo("tsNum.sf",id);
		    }
	},
	// 查询重点人群
	ruHuPeopleNum{
		@Override
		public Map<String, String> getStatistics(String id) {
	    	DisposeRedisStatisticsUtil a=new DisposeRedisStatisticsUtil();
	        return a.getRedisInfo("ruHuPeopleNum",id);
	    }
	},
	doorplateNum{
		@Override
		public Map<String, String> getStatistics(String id) {
			// TODO Auto-generated method stub
			DisposeRedisStatisticsUtil a=new DisposeRedisStatisticsUtil();
	        return a.getRedisInfo("doorplateNum",id);
		}
		
	},
	tsPeopleTypeNum{

		@Override
		public Map<String, String> getStatistics(String id) {
			// TODO Auto-generated method stub
			DisposeRedisStatisticsUtil a=new DisposeRedisStatisticsUtil();
			return a.getRedisInfo("tsPeopleTypeNum",id);
		}
		
	},
	userTypeNum{
		@Override
		public Map<String, String> getStatistics(String id) {
			// TODO Auto-generated method stub
			DisposeRedisStatisticsUtil a=new DisposeRedisStatisticsUtil();
			return a.getRedisInfo("userTypeNum", id);
		}
		
	}
	;
	
	public abstract Map<String, String> getStatistics(String id);
}
